haskell-language-server-2.9.0.0: LSP server for GHC

Safe Haskell | None
Language | GHC2021

Ide.Plugin.CabalGild

Synopsis

- data Log
  - = LogProcessInvocationFailure Int Text
  - | LogReadCreateProcessInfo [String]
  - | LogInvalidInvocationInfo
  - | LogFormatterBinNotFound FilePath
- descriptor :: Recorder (WithPriority Log) -> PluginId -> PluginDescriptor IdeState
- properties :: Properties '['PropertyKey "path" 'TString]
- provider :: Recorder (WithPriority Log) -> PluginId -> FormattingHandler IdeState

# Documentation

data Log #

Constructors

LogProcessInvocationFailure Int Text |
LogReadCreateProcessInfo [String] |
LogInvalidInvocationInfo |
LogFormatterBinNotFound FilePath |

#### Instances

Instances details

Show Log # |
Instance details Defined in Ide.Plugin.CabalGild Methods showsPrec :: Int -> Log -> ShowS # show :: Log -> String # showList :: [Log] -> ShowS #
Pretty Log # |
Instance details Defined in Ide.Plugin.CabalGild Methods pretty :: Log -> Doc ann # prettyList :: [Log] -> Doc ann #

descriptor :: Recorder (WithPriority Log) -> PluginId -> PluginDescriptor IdeState #

properties :: Properties '['PropertyKey "path" 'TString] #

provider :: Recorder (WithPriority Log) -> PluginId -> FormattingHandler IdeState #

Formatter provider of cabal gild. Formats the given source in either a given Range or the whole Document. If the provider fails an error is returned that can be displayed to the user.